summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorAkira TAGOH <akira@tagoh.org>2017-12-18 21:26:29 +0900
committerAkira TAGOH <akira@tagoh.org>2017-12-18 21:26:29 +0900
commit182186e53a38d2c8b82d0a1785f6873f2b54316a (patch)
tree0baa2f47faa1bf669fe89d7627eb76982e91bfe7 /test
parentc1e48b0c1439007b41887177ef7b34e4d75e3a31 (diff)
Do not update mtime with creating .uuid
Diffstat (limited to 'test')
-rw-r--r--test/run-test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/run-test.sh b/test/run-test.sh
index 4154dd3e..436dee17 100644
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -164,6 +164,19 @@ if [ $n != 1 ]; then
exit 1
fi
+dotest "Keep mtime of the font directory"
+prep
+cp $FONT1 $FONTDIR
+touch -d @0 $FONTDIR
+stat $FONTDIR | grep Modify > out1
+$FCCACHE $FONTDIR
+stat $FONTDIR | grep Modify > out2
+if cmp out1 out2 > /dev/null ; then : ; else
+ echo "*** Test failed: $TEST"
+ echo "mtime was modified"
+ exit 1
+fi
+
if [ x"$BWRAP" != "x" ]; then
dotest "Basic functionality with the bind-mounted cache dir"
prep